# app/api/v1/api.py
from fastapi import APIRouter

from app.api.v1.endpoints import health # Import the health endpoint router

api_router_v1 = APIRouter()

# Include endpoint routers here, adding the desired prefix for v1
api_router_v1.include_router(health.router) # The path "/health" is defined inside health.router

# Add other v1 endpoint routers here later
# e.g., api_router_v1.include_router(users.router, prefix="/users", tags=["Users"])